Operating system set to macOS
Documentation jurisdiction set to United States
Sign inConnect Claude

Invoke Skill Transactions Classify

post/api/v1/skills/transactions.classify/invoke

Classify a financial transaction to chart-of-accounts code.

Request bodyapplication/json

FieldTypeDescription
descriptionrequiredstringβ€”
amountrequirednumber | stringβ€”
currencystringβ€”
transaction_datestring (date) | nullβ€”
vendorstring | nullβ€”

Responses

200Skill executed successfully
FieldTypeDescription
skillrequiredstringβ€”
outputrequiredobjectβ€”
show nested
FieldTypeDescription
stub_fieldsstring[]β€”
warningsstring[]β€”
account_codestringβ€”
account_namestringβ€”
confidencenumberβ€”
alternativesany[]β€”
tax_codestring | nullβ€”
correlation_idrequiredstringβ€”
401Authentication required
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
403Insufficient permissions
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
404Skill not found
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
429Rate limit exceeded
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
5XXInternal server error
FieldTypeDescription
errorrequiredobjectβ€”
show nested
FieldTypeDescription
typerequiredstringβ€”
coderequiredstringβ€”
messagerequiredstringβ€”
paramstringβ€”
retry_after_secondsintegerβ€”
curl https://api.dev.arch.ie/api/v1/skills/transactions.classify/invoke \
  -X POST \
  -H "Authorization: Bearer sk_..." \
  -H "Content-Type: application/json" \
  -d '{
       "description": "string",
       "amount": null,
       "currency": "string",
       "transaction_date": null,
       "vendor": null
     }'